Core APIVaultsSlug

/vaults/{slug}/redemption-windows

List registered NestVault redemption windows for a chain and asset, with the default first.

GET
/vaults/{slug}/redemption-windows

List registered NestVault redemption windows for a chain and asset, with the default first.

Path Parameters

slug*string

Unique slug identifier for the vault.

Length1 <= length

Query Parameters

chainId*integer

Settlement chain ID.

Range0 < value
redemptionAsset*string

Registered EVM redemption asset address on the chain.

Match^0x[a-fA-F0-9]+$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/vaults/nest-alpha-vault/redemption-windows?chainId=1&redemptionAsset=string"
{  "data": {    "chainId": 1,    "redemptionAsset": "string",    "windows": [      {        "nestVaultAddress": "string",        "isDefault": true,        "fulfillmentTimeHours": 0      }    ]  }}